Module java.base
Package java.security.cert

# Class URICertStoreParameters

java.lang.Object
java.security.cert.URICertStoreParameters

All Implemented Interfaces:
  `Cloneable`, `CertStoreParameters`

public final class URICertStoreParameters extends Object implements CertStoreParameters
Parameters used as input for `CertStore` algorithms which use information contained in a URI to retrieve certificates and CRLs.

This class is used to provide necessary configuration parameters through a URI as defined in RFC 5280 to implementations of `CertStore` algorithms.

Concurrent Access

Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  9
See Also:
  - `CertStore`
  - `URI`

## Constructor Summary

Constructors
Constructor
Description
`URICertStoreParameters(URI uri)`
Creates an instance of `URICertStoreParameters` with the specified URI.

## Method Summary

Modifier and Type
Method
Description
`URICertStoreParameters`
`clone()`
Returns a copy of this object.
`boolean`
`equals(Object p)`
Compares the specified object with this parameters object for equality.
`URI`
`getURI()`
Returns the URI used to construct this `URICertStoreParameters` object.
`int`
`hashCode()`
Returns a hash code value for this parameters object.
`String`
`toString()`
Returns a formatted string describing the parameters including the URI used to construct this object.

### Methods declared in class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### URICertStoreParameters

public URICertStoreParameters(URI uri)
Creates an instance of `URICertStoreParameters` with the specified URI.

Parameters:
  `uri` - the URI which contains configuration information.
Throws:
  `NullPointerException` - if `uri` is null

## Method Details

### getURI

public URI getURI()
Returns the URI used to construct this `URICertStoreParameters` object.

Returns:
  the URI.

### clone

public URICertStoreParameters clone()
Returns a copy of this object. Changes to the copy will not affect the original and vice versa.

Specified by:
  `clone` in interface `CertStoreParameters`
Overrides:
  `clone` in class `Object`
Returns:
  the copy
See Also:
  - `Cloneable`

### hashCode

public int hashCode()
Returns a hash code value for this parameters object. The hash code is generated using the URI supplied at construction.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this parameters.
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(java.lang.Object)`

### equals

public boolean equals(Object p)
Compares the specified object with this parameters object for equality. Two URICertStoreParameters are considered equal if the URIs used to construct them are equal.

Overrides:
  `equals` in class `Object`
Parameters:
  `p` - the object to test for equality with this parameters.
Returns:
  true if the specified object is equal to this parameters object.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### toString

public String toString()
Returns a formatted string describing the parameters including the URI used to construct this object.

Overrides:
  `toString` in class `Object`
Returns:
  a formatted string describing the parameters